%define upstream_name    IO-Socket-Timeout
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    IO::Socket with read/write timeout
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(PerlIO::via::Timeout)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP)
BuildArch: noarch

%description
'IO::Socket' provides a way to set a timeout on the socket, but the timeout
will be used only for connection, not for reading / writing operations.

This module provides a way to set a timeout on read / write operations on
an 'IO::Socket' instance, or any 'IO::Socket::*' modules, like
'IO::Socket::INET'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.320.0-6.mga9
+ Revision: 1804148
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.320.0-5.mga8
+ Revision: 1495199
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.320.0-4.mga7
+ Revision: 1268833
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.320.0-3.mga6
+ Revision: 1028785
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.320.0-2.mga6
+ Revision: 971255
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 pterjan <pterjan> 0.320.0-1.mga6
+ Revision: 890529
- Update to 0.32

* Wed Aug 05 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 861356
- update to 0.31

* Wed Jul 29 2015 sander85 <sander85> 0.300.0-1.mga6
+ Revision: 858890
- update to 0.30

* Tue Jul 07 2015 sander85 <sander85> 0.290.0-1.mga6
+ Revision: 852565
- update to 0.29

* Sun Oct 19 2014 pterjan <pterjan> 0.270.0-1.mga5
+ Revision: 791881
- imported package perl-IO-Socket-Timeout


* Sun Oct 19 2014 cpan2dist 0.27-1mga
- initial mageia release, generated with cpan2dist
